# Class SelectedRowsDirective<Data>

#### Type Parameters

- Data extends Record<string, any>

#### Implements

- OnInit
- OnDestroy

- Defined in packages/angular/material/table-system/src/lib/select-row/selected-rows.directive.ts:25

#####
Index

### Constructors

constructor

### Properties

_subscription?
cdr
selectRowService
template
viewContainerRef

### Methods

ngOnDestroy
ngOnInit

## Constructors

### constructor

- new SelectedRowsDirective<Data>(template, viewContainerRef, cdr, selectRowService): SelectedRowsDirective<Data>

- #### Type Parameters

  - Data extends Record<string, any>

  #### Parameters

  - template: TemplateRef<SelectedRowsDirectiveContext<Data>>
  - viewContainerRef: ViewContainerRef
  - cdr: ChangeDetectorRef
  - selectRowService: SelectRowService<Data>

  #### Returns SelectedRowsDirective<Data>

  - Defined in packages/angular/material/table-system/src/lib/select-row/selected-rows.directive.ts:29

## Properties

### `Private` `Optional` _subscription

_subscription?: Subscription

- Defined in packages/angular/material/table-system/src/lib/select-row/selected-rows.directive.ts:27

### `Private` `Readonly` cdr

cdr: ChangeDetectorRef

- Defined in packages/angular/material/table-system/src/lib/select-row/selected-rows.directive.ts:35

### `Private` `Readonly` selectRowService

selectRowService: SelectRowService<Data>

- Defined in packages/angular/material/table-system/src/lib/select-row/selected-rows.directive.ts:37

### `Private` `Readonly` template

template: TemplateRef<SelectedRowsDirectiveContext<Data>>

- Defined in packages/angular/material/table-system/src/lib/select-row/selected-rows.directive.ts:31

### `Private` `Readonly` viewContainerRef

viewContainerRef: ViewContainerRef

- Defined in packages/angular/material/table-system/src/lib/select-row/selected-rows.directive.ts:33

## Methods

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/material/table-system/src/lib/select-row/selected-rows.directive.ts:41

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/material/table-system/src/lib/select-row/selected-rows.directive.ts:45